/*******************************************************************************
Copyright © 2023 Sebastian Roith

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Verändere bzw. ergänze die Klasse <code>ZUGANSDATEN</code> so, dass auf beide Attribute nur über <em>Setter</em> (Methodenname <code>set[Attributname]</code>) und <em>Getter</em> (Methodenname <code>get[Attributname]</code>) zugegriffen werden kann. Alle Setter- und Getter-Methoden sollen von anderen Objekten genutzt werden können, lediglich die Getter-Methode zu <code>passwort</code> soll ausschließlich klassenintern nutzbar sein.</p><p>Programmiere die innere Sequenzen der Methoden so, dass sie nur aus einer einzigen Anweisung bestehen und den Attributwert direkt zuweisen bzw. zurückgeben.</p>",
	"code": "public class ZUGANSDATEN {\n    String name;\n    String passwort;\n}\n",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "ZUGANSDATEN",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "name",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "attribute",
					"name": "passwort",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "method",
					"name": [
						"setName",
						"setname"
					],
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "String",
							"dimensions": 0
						}
					],
					"visibility": 3,
					"content": [
						"@this.name = @1;",
						"@name = @1;"
					]
				},
				{
					"part": "method",
					"name": [
						"getName",
						"getname"
					],
					"type": "String",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"visibility": 3,
					"content": [
						" return this.name;",
						" return name;"
					]
				},
				{
					"part": "method",
					"name": [
						"setPasswort",
						"setpasswort"
					],
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "String",
							"dimensions": 0
						}
					],
					"visibility": 3,
					"content": [
						"@this.passwort = @1;",
						"@passwort = @1;"
					]
				},
				{
					"part": "method",
					"name": [
						"getPasswort",
						"getpasswort"
					],
					"type": "String",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"visibility": [
						0,
						1
					],
					"content": [
						" return this.passwort;",
						" return passwort;"
					]
				}
			]
		}
	]
}
